Merge pull request #267 from ucb-bar/addMarshal

Add marshal symlink and move qemu into chipyard from firesim
This commit is contained in:
Nathan Pemberton
2019-10-06 16:16:51 -07:00
committed by GitHub
8 changed files with 44 additions and 8 deletions

View File

@@ -15,7 +15,7 @@ cd $LOCAL_CHIPYARD_DIR
# Use normalized output of git-submodule status as hashfile
for tools in 'riscv-tools' 'esp-tools' ; do
git submodule status "toolchains/${tools}" | while read -r line ; do
git submodule status "toolchains/${tools}" "toolchains/qemu" | while read -r line ; do
echo "${line#[!0-9a-f]}"
done > "${HOME}/${tools}.hash"
done

3
.gitmodules vendored
View File

@@ -92,3 +92,6 @@
[submodule "vlsi/hammer-mentor-plugins"]
path = vlsi/hammer-mentor-plugins
url = https://github.com/ucb-bar/hammer-mentor-plugins.git
[submodule "toolchains/qemu"]
path = toolchains/qemu
url = https://github.com/qemu/qemu.git

View File

@@ -1,5 +1,6 @@
FireMarshal
=================
``software/firemarshal``
FireMarshal is a workload generation tool for RISC-V based systems. It
currently only supports the FireSim FPGA-accelerated simulation platform.

View File

@@ -121,6 +121,9 @@ cp -p "${SRCDIR}/riscv-isa-sim/build/libfesvr.a" "${RISCV}/lib/"
CC= CXX= module_all riscv-pk --prefix="${RISCV}" --host=riscv64-unknown-elf
module_all riscv-tests --prefix="${RISCV}/riscv64-unknown-elf"
# Common tools (not in any particular toolchain dir)
SRCDIR="$RDIR/toolchains" module_all qemu --prefix="${RISCV}" --target-list=riscv64-softmmu
cd "$RDIR"
{

View File

@@ -6,11 +6,32 @@ set -o pipefail
RDIR=$(git rev-parse --show-toplevel)
_usage() {
echo "usage: ${0} [--no-firesim]" >&2
exit 1
}
NO_FIRESIM=false
while getopts 'h-:' opt ; do
case ${opt} in
-)
case ${OPTARG} in
no-firesim) NO_FIRESIM=true ;;
*) echo "invalid option: --${OPTARG}" >&2 ; _usage ;;
esac ;;
h) _usage ;;
*) echo "invalid option: -${opt}" >&2 ; _usage ;;
esac
done
shift $((OPTIND - 1))
# Ignore toolchain submodules
cd "$RDIR"
for name in toolchains/*/*/ ; do
git config submodule."${name%/}".update none
done
git config submodule.toolchains/qemu.update none
# Disable updates to the FireSim submodule until explicitly requested
git config submodule.sims/firesim.update none
# Disable updates to the hammer tool plugins repos
@@ -22,13 +43,19 @@ git submodule update --init --recursive #--jobs 8
for name in toolchains/*/*/ ; do
git config --unset submodule."${name%/}".update
done
git config --unset submodule.toolchains/qemu.update
git config --unset submodule.vlsi/hammer-cadence-plugins.update
git config --unset submodule.vlsi/hammer-synopsys-plugins.update
git config --unset submodule.vlsi/hammer-mentor-plugins.update
# Renable firesim and init only the required submodules to provide
# all required scala deps, without doing a full build-setup
git config --unset submodule.sims/firesim.update
git submodule update --init sims/firesim
git -C sims/firesim submodule update --init sim/midas
git config submodule.sims/firesim.update none
if [ $NO_FIRESIM = false ]; then
echo "initializing firesim"
# Renable firesim and init only the required submodules to provide
# all required scala deps, without doing a full build-setup
git config --unset submodule.sims/firesim.update
git submodule update --init sims/firesim
git -C sims/firesim submodule update --init sim/midas
git -C sims/firesim submodule update --init --recursive sw/firesim-software
git config submodule.sims/firesim.update none
fi

1
software/firemarshal Symbolic link
View File

@@ -0,0 +1 @@
../sims/firesim/sw/firesim-software/

1
toolchains/qemu Submodule

Submodule toolchains/qemu added at 4f59102571